## django-invitations 1.9.3

=== requirements.txt ===
coverage==4.5.4
flake8==3.7.9
freezegun==0.3.12
mock==3.0.5
pytest==5.2.2
pytest-django==3.6.0
pytest-cov==2.8.1
tox==3.14.0

=== debian/changelog ===
django-invitations (1.9.3-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Tue, 14 Jun 2022 17:31:17 +0100

django-invitations (1.9.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1011987)

 -- Edward Betts <edward@4angle.com>  Sat, 28 May 2022 15:13:14 +0200

=== debian/control ===
Source: django-invitations
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-django,
               python3-django-allauth,
               python3-freezegun,
               python3-mock,
               python3-pytest-django,
               python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/jazzband/django-invitations
Vcs-Browser: https://salsa.debian.org/python-team/packages/django-invitations
Vcs-Git: https://salsa.debian.org/python-team/packages/django-invitations.git

Package: python3-django-invitations
Architecture: all
Depends: python3-django, ${misc:Depends}, ${python3:Depends}
Description: Generic invitations solution for Django
 Invitations solution with adaptable backend and support for django-allauth.
 All emails and messages are fully customisable.
 .
 Generic Invitation flow:
 .
   - Priviledged user invites prospective user by email (via either Django
     admin, form post, JSON post or programmatically)
   - User receives invitation email with confirmation link
   - User clicks link and is redirected to a preconfigured url (default is
     accounts/signup)

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-invitations

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf django_invitations.egg-info/

override_dh_auto_test:

=== debian/tests/control ===
Tests: run-tests
Depends: python3-all,
         python3-django,
         python3-django-allauth,
         python3-freezegun,
         python3-mock,
         python3-pytest,
         python3-pytest-django,
         @

## django-invitations 2.0.0

=== docs/requirements.txt ===
django
furo
sphinx
tomlkit

=== debian/changelog ===
django-invitations (2.0.0-2) unstable; urgency=medium

  * debian/rules: Bug fix tests with two versions of Python.
    (Closes: #1026682)
  * debian/changelog: Remove duplicate word in 2.0.0-1 entry.

 -- Edward Betts <edward@4angle.com>  Thu, 29 Dec 2022 07:51:13 +0000

django-invitations (2.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depends: Add <!nocheck> to test packages.
  * Fix spelling mistake in package description.
  * Patch pyproject.toml to remove poetry group dependencies, which are
    unsupported by the current version of poetry-core in testing.

 -- Edward Betts <edward@4angle.com>  Fri, 30 Sep 2022 15:23:45 +0100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,14 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-django,
                python3-django-allauth,
-               python3-freezegun,
-               python3-mock,
-               python3-pytest-django,
+               python3-freezegun <!nocheck>,
+               python3-mock <!nocheck>,
+               python3-poetry-core,
+               python3-pytest-django <!nocheck>,
                python3-setuptools
 Rules-Requires-Root: no
 Standards-Version: 4.6.1
@@ -27,8 +29,8 @@
  .
  Generic Invitation flow:
  .
-   - Priviledged user invites prospective user by email (via either Django
+   - Privileged user invites prospective user by email (via either Django
      admin, form post, JSON post or programmatically)
    - User receives invitation email with confirmation link
-   - User clicks link and is redirected to a preconfigured url (default is
+   - User clicks link and is redirected to a preconfigured URL (default is
      accounts/signup)

## django-invitations 2.1.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?= "-W"
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
django-invitations (2.1.0-2) unstable; urgency=medium

  [ Alexandre Detiste ]
  * Remove extraneous dep on old python3-mock

  [ Edward Betts ]
  * Update copyright year.
  * Add versioned dependency for python3-django-allauth. (Closes: #1058663)

 -- Edward Betts <edward@4angle.com>  Sun, 14 Apr 2024 12:24:03 +0100

django-invitations (2.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch to remove poetry group dependencies from pyproject.toml.
    The patch is no longer needed because poetry-core 1.3.2-3 has migrated
    to testing.
  * Update copyright year.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Sun, 26 Nov 2023 15:26:40 +0000

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,13 @@
                pybuild-plugin-pyproject,
                python3-all,
                python3-django,
-               python3-django-allauth,
+               python3-django-allauth (>= 0.58.2) <!nocheck>,
                python3-freezegun <!nocheck>,
-               python3-mock <!nocheck>,
                python3-poetry-core,
                python3-pytest-django <!nocheck>,
                python3-setuptools
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/jazzband/django-invitations
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-invitations
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-invitations.git

=== debian/tests/control ===
Tests: run-tests
Depends: python3-all,
         python3-django-allauth (>= 0.58.2),
         python3-freezegun,
         python3-pytest-django,
         @

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/django-invitations-$1\.tar\.gz/ \
  https://github.com/jazzband/django-invitations/tags .*/v?(\d\S+)\.tar\.gz
